# $Revision: 1.9 $, $Date: 2005/02/05 22:38:14 $
Summary:	KDE EXIF Data Handling Library 
Summary(pl):	Biblioteka obsugi danych z exif w KDE
Name:		libkexif
Version:	0.2.1
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	http://dl.sourceforge.net/digikam/%{name}-%{version}.tar.bz2
# Source0-md5:	28a7eb727d6a884343ce8cbe061cb58f
URL:		http://webcvs.kde.org/cgi-bin/cvsweb.cgi/kdeextragear-libs-1/libkexif/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	kdelibs-devel >= 9:3.2.0
BuildRequires:	libexif-devel >= 0.6.9
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	unsermake >= 040805
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libkexif is a library for manipulating EXIF information embedded in
images. It currently supports viewing of all EXIF information via
libexif. It also supports the modification of a few attributes in a
safe way that preserves all other EXIF information in the file.

%description -l pl
Libkexif to biblioteka do manipulacji danymi EXIF zawartymi w
obrazach. Aktualnie wspiera podgld wszystkich informacji poprzez
libexif oraz modyfikacj kilku atrybutw przy zachowaniu niezmiennoci
pozostaych.

%package devel
Summary:	Header files for libkexif development
Summary(pl):	Pliki nagwkowe dla programistw uywajcych libkexif
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	kdelibs-devel >= 9:3.2.0
Requires:	libexif-devel >= 0.6.9

%description devel
Header files for libkexif  development.

%description devel -l pl
Pliki nagwkowe dla programistw uywajcych libkexif.

%prep
%setup -q

%build
cp -f %{_datadir}/automake/config.sub admin
export UNSERMAKE=%{_datadir}/unsermake/unsermake
%{__make} -f admin/Makefile.common cvs

%configure \
	--with-qt-libraries=%{_libdir} \
	--enable-final

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir} \
	kde_libs_htmldir=%{_kdedocdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/lib*.so.?.?.?

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/libkexif
%{_pkgconfigdir}/libkexif.pc

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libkexif.spec,v $
Revision 1.9  2005/02/05 22:38:14  arekm
- rel 1

Revision 1.8  2005/01/09 01:23:05  petec
- update to 0.2.1 from Michal Kochanowicz <michal(at)michal.waw.pl>

Revision 1.7  2004/11/16 22:06:31  arekm
- rel 1

Revision 1.6  2004/11/12 17:42:17  bszx
- updated to 0.1. I'm not sure about the version number. Maye it should be 0.1.0?

Revision 1.5  2004/11/11 19:48:19  saq
- mass commit: using %%{epoch} without explicit Epoch: declaration
  requires a modern rpm

Revision 1.4  2004/10/06 13:17:55  qboosh
- package docs and .la, -devel R: kdelibs-devel
- BR libexif 0.6.9 (preferred; 0.5.7 is minimal really required)

Revision 1.3  2004/10/06 13:13:04  qboosh
- cleanup, URL fix, License is GPL (v2+)

Revision 1.2  2004/09/20 16:52:41  djurban
- md5

Revision 1.1  2004/09/20 16:49:15  djurban
- kde exif wrapper

Revision 1.3  2004/09/18 11:11:33  djurban
- libkipi.so must be packged

Revision 1.2  2004/09/18 10:49:26  djurban
-md5

Revision 1.1  2004/09/18 10:26:49  djurban
- 040918 snap of libkipi
